Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.5
Release:	2
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source3:	pldnotify.awk
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	grep
Requires:	less
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.539
Requires:	sed >= 4.0
Requires:	util-linux
Requires:	wget
Suggests:	cvs-client
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE2} .
cp -p %{SOURCE1} adapter.awk
cp -p %{SOURCE3} pldnotify.awk

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p pldnotify.awk $RPM_BUILD_ROOT%{_bindir}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/pldnotify.awk
%{_libdir}/adapter.awk
%changelog
* Tue Jul 03 2012 Kacper Kornet <draenog@pld-linux.org> e228628
Fix changelog generation with non-english locale

* Tue Jul 03 2012 Kacper Kornet <draenog@pld-linux.org> f8bfce7
Make _tag variable local for tag_exist()

* Tue Jul 03 2012 Kacper Kornet <draenog@pld-linux.org> 3f7b9f7
Fix initial cloning of rpm-build-tools

* Sat Jun 30 2012 Kacper Kornet <draenog@pld-linux.org> cb48281
Merge changes from HEAD in CVS

* Sat Jun 30 2012 Kacper Kornet <draenog@pld-linux.org> 7446994
Official git server

* Fri Jun 29 2012 Kacper Kornet <draenog@pld-linux.org> 8c04313
Accept @. in tags

* Fri Jun 29 2012 Kacper Kornet <draenog@pld-linux.org> 7605fe9
Abstract code to check if the tag already exists

* Fri Jun 29 2012 Kacper Kornet <draenog@pld-linux.org> 2200d50
Switch to auto/<dist>/ style for auto tags

* Fri Jun 29 2012 Kacper Kornet <draenog@pld-linux.org> 452322f
Remove escaping regexp characters for checking of tag presence

* Fri Jun 15 2012 Szymon Siwek <sls@pld-linux.org> f982c60
- fixed typo in long option "--source-cvs"

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> d4c8d3a
- -p N, -pN - set PARALLEL_DOWNLOADS

* Mon Jun 04 2012 Elan Ruusamäe <glen@pld-linux.org> d742efc
- more fedora deps

* Mon Jun 04 2012 Elan Ruusamäe <glen@pld-linux.org> 32131a0
- handle ./builder -Tv of NoSource packages (return md5 for NoSourceX as well)

* Fri Apr 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 718ae07
- typo

* Fri Mar 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 5759a45
- bugfix

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> 7374658
- replace systemd macros before libdir, to have chance to work on 32bit libdirs

* Fri Mar 30 2012 Elan Ruusamäe <glen@pld-linux.org> bd49d9c
- update

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f380171
Check for name/CVS dir when looking for sticky name. Old test failed if under name we had subdir with the same name.

* Tue Feb 28 2012 Elan Ruusamäe <glen@pld-linux.org> 22626ac
- give hint how to fix missing CVS access

* Sun Feb 26 2012 Adam Gołębiowski <adamg@pld-linux.org> fe7c0a3
- updating poldek indexes makes only sense when building binary rpms

